## pidgin 2.6.3-0nix1~fremantle

=== debian/changelog ===
pidgin (2.6.3-0nix1~fremantle) unstable; urgency=low

  * Splitting source package by distro

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 18:31:33 +0200

pidgin (2.6.3-0nix0) unstable; urgency=low

  * Moving up to 2.6.3
  * Enabling vv

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 15:24:44 +0200

=== debian/control ===
Source: pidgin
Section: user/network
Priority: optional
Maintainer: Gabriel Schulhof <nix@go-nix.ca>
Build-Depends: debhelper (>= 4.0.0),
 debhelper-maemo-package-icons (>= 0.0.2),
 doxygen,
 hildon-libs-dev | libhildon1-dev,
 intltool,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libgtk2.0-dev (>= 2.6.0),
 libgstreamer0.10-dev,
 libnss3-dev,
 libavahi-core-dev,
 libavahi-glib-dev,
 libavahi-client-dev,
 libxml2-dev,
 libxml-parser-perl,
 libgstfarsight0.10-dev (>= 0.0.9),
 libgstreamer-plugins-base0.10-dev,
 libsqlite3-dev (>= 3.3),
 libmeanwhile-dev,
 python2.5,
 maemo-launcher-dev,
 libgstfarsight0.10-dev (>= 0.0.9),
 xsltproc
Standards-Version: 3.6.0

Package: pidgin
Section: user/network
Architecture: any
Depends: ${shlibs:Depends}, maemo-launcher
Description: Pidgin Internet Messenger for Maemo-based Internet Tablets
XB-Maemo-Display-Name: Pidgin Internet Messenger

Package: pidgin-dev
Section: devel
Architecture: any
Depends: pidgin (>= ${Source-Version}),
 pkg-config,
 libpurple-dev,
 libgtk2.0-dev,
 hildon-libs-dev | libhildon1-dev
Suggests: doc-base
Description: Pidgin Plugin Development Files

Package: pidgin-dbg
Section: devel
Architecture: any
Depends: pidgin (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Pidgin

Package: libpurple0
Section: net
Architecture: any
Depends: ${shlibs:Depends}, libnspr4, libnss3
Recommends: ca-certificates
Replaces: pidgin (<= 2.2.2-0nix0),
 pidgin-protocol-aim-icq,
 pidgin-protocol-gadugadu,
 pidgin-protocol-irc,
 pidgin-protocol-msn,
 pidgin-protocol-novell-groupwise,
 pidgin-protocol-qq,
 pidgin-protocol-simple,
 pidgin-protocol-xmpp,
 pidgin-protocol-yahoo,
 pidgin-protocol-zephyr
Suggests: ${shlibs:Suggests}
Description: multi-protocol instant messaging library
 libpurple is a library intended to be used by programmers seeking
 to write an IM client that connects to many IM networks.
 Currently supported are:
 AIM/ICQ, Yahoo!, MSN, IRC, Jabber/XMPP, Napster, Zephyr, Gadu-Gadu, Bonjour,
 Groupwise, Sametime, SILC, SIMPLE, QQ, and MySpaceIM.

Package: libpurple-dev
Section: libdevel
Architecture: any
Depends: libpurple0 (>= ${Source-Version}),
 pkg-config,
 libglib2.0-dev,
 libdbus-glib-1-dev
Replaces: pidgin-dev (<= 2.2.2-0nix0)
Conflicts: pidgin-dev (<= 2.2.2-0nix0)
Description: multi-protocol instant messaging library - development files
 This package contains the headers and other development files not included in
 the main libpurple0 package. Install this if you wish to compile your own
 client-agnostic plugins, or would like to compile programs that use
 libpurple.

Package: libpurple0-dbg
Section: libdevel
Architecture: any
Depends: libpurple0 (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for libpurple
 This package includes the debugging symbols useful for debugging libpurple
 and its plugins, contained in the libpurple0 package. The debugging symbols are
 used for execution tracing and core dump analysis.

Package: purple-protocol-sametime
Replaces: pidgin-protocol-sametime
Section: user/network
Architecture: any
Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}
XB-Maemo-Display-Name: Pidgin Sametime Support
Description: Pidgin and Telepathy Sametime Support

Package: purple-protocol-sametime-dbg
Section: devel
Architecture: any
Depends: purple-protocol-sametime (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Sametime prpl

Package: purple-protocol-bonjour
Replaces: pidgin-protocol-bonjour
Section: user/network
Architecture: any
Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
XB-Maemo-Display-Name: Pidgin Bonjour Support
Description: Pidgin and Telepathy Bonjour Support

Package: purple-protocol-bonjour-dbg
Section: devel
Architecture: any
Depends: purple-protocol-bonjour (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Bonjour prpl

Package: pidgin-sounds
Section: user/network
Architecture: all
Description: Pidgin Sounds
XB-Maemo-Display-Name: Pidgin Sounds

Package: pidgin-l10n
Section: user/network
Architecture: all
Description: Pidgin Localization
XB-Maemo-Display-Name: Pidgin Language Support

Package: pidgin-emotes-default
Section: user/network
Architecture: all
Description: Pidgin Default Emotes
XB-Maemo-Display-Name: Pidgin Default Smiley Theme

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PREFIX=/usr

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

version=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/-.*//')
major=$(shell echo ${version} | cut -d. -f1-2)
micro=$(shell echo ${version} | cut -d. -f3 | cut -d+ -f1)
nextmicro=$(shell expr ${micro} + 1)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use soft-float and thumb mode if enabled. 
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

CONFIGURE_SWITCHES = \
		--prefix=$(PREFIX) \
		--with-python=/usr/bin/python2.5 \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--sysconfdir=/etc \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--disable-gevolution \
		--enable-cap \
		--disable-nm \
		--disable-perl \
		--enable-dbus \
		--enable-nss=yes \
		--enable-vv \
		--enable-farsight \
		--disable-tcl \
		--disable-tk \
		--disable-consoleui \
		--disable-doxygen \
		--disable-gnutls \
		--disable-screensaver \
		--disable-startup-notification \
		--disable-gtkspell \
		--disable-idn \
		--enable-hildon \
		--enable-icd \
		$(NULL)

ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_SWITCHES += --enable-maemo-launcher
	USE_MAEMO_LAUNCHER = true
endif

configure:
	echo -e '\033[7mtarget: configure\033[0m'
	dh_testdir

	CFLAGS="$(CFLAGS)" SBOX_DEFAULT_AUTOMAKE="1.9" ./autogen.sh $(CONFIGURE_SWITCHES)
#	autoreconf -s -i && glib-gettextize && aclocal

build: build-stamp
	echo -e '\033[7mtarget: build\033[0m'

build-stamp: configure
	echo -e '\033[7mtarget: build-stamp\033[0m'
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	pod2man $(CURDIR)/debian/dh_pidgin > $(CURDIR)/debian/dh_pidgin.1 || \
		rm -f $(CURDIR)/debian/dh_pidgin.1

	touch build-stamp

clean:
	echo -e '\033[7mtarget: clean\033[0m'
	dh_testdir
	dh_testroot
	rm -f *-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean
	rm -f $(CURDIR)/debian/dh_pidgin.1

install: build install-stamp

install-stamp:
	echo -e '\033[7mtarget: install\033[0m'
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	echo -e '\033[7mMaking install\033[0m'
	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# 26x26 icon - the "scalable" icons is installed via make install
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon
	cp $(CURDIR)/debian/pidgin.png $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon

	# mandatory D-Bus service file
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/dbus-1/services
ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	cp $(CURDIR)/debian/override-files/pidgin.service $(CURDIR)/debian/tmp$(PREFIX)/share/dbus-1/services
endif

	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon
ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	cp $(CURDIR)/debian/override-files/pidgin.desktop $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon
else
	cat $(CURDIR)/debian/override-files/pidgin.desktop | grep -v 'X-Osso-Service' > $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon/pidgin.desktop
endif

	# Ship default values for some settings
	mkdir -p $(CURDIR)/debian/tmp/etc/purple
	cp $(CURDIR)/debian/override-files/prefs.xml $(CURDIR)/debian/tmp/etc/purple

	# dh_pidgin
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/bin
	cp $(CURDIR)/debian/dh_pidgin $(CURDIR)/debian/tmp$(PREFIX)/bin
	if test -f $(CURDIR)/debian/dh_pidgin.1; then \
		mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/man/man1; \
		cp $(CURDIR)/debian/dh_pidgin.1 $(CURDIR)/debian/tmp$(PREFIX)/share/man/man1; \
	fi

	# Move icons to a Hildon-friendly place
	for icon_dir in $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/* ; do \
		if test -d $$icon_dir/apps; then \
			echo mv $$icon_dir/apps $$icon_dir/hildon; \
			mv $$icon_dir/apps $$icon_dir/hildon; \
		else \
			echo $$icon_dir/apps DNE; \
		fi ; \
	done
	if test -f $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/48x48/hildon/pidgin.png; then \
		mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/scalable/hildon; \
		cp $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/48x48/hildon/pidgin.png \
			$(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/scalable/hildon; \
	fi

	# Remove the dreaded .la files
	find $(CURDIR)/debian/tmp | grep '\.la$$' | xargs rm -f

	# Add osso-backup script
	mkdir -p $(CURDIR)/debian/tmp/etc/osso-backup/applications
	cp $(CURDIR)/debian/pidgin.conf $(CURDIR)/debian/tmp/etc/osso-backup/applications

	# Include author lists in copyright file
	sed -e '/@PIDGIN_COPYRIGHT@/r COPYRIGHT' \
		-e '/@PIDGIN_COPYRIGHT@/d' \
		-e '/@OSCAR_AUTHORS@/r libpurple/protocols/oscar/AUTHORS' \
		-e '/@OSCAR_AUTHORS@/d' \
	debian/copyright.in > debian/copyright

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	echo -e '\033[7mtarget: binary-indep\033[0m'
# We have nothing to do by default.

clean-debian:
	echo -e '\033[7mtarget: clean-debian\033[0m'
	rm -rf \
		`ls -ld debian/* | grep '^d' | grep -vE 'override-files|scripts|tmp' | awk '{print $$$$NF;}'` \
		debian/{*.{debhelper,substvars},files,pidgin.install,copyright}

$(CURDIR)/debian/pidgin.install: $(CURDIR)/debian/pidgin.install.in
	# Grab only those .install.in globs that actually match
	echo -n '' > $(CURDIR)/debian/pidgin.install
	cat $(CURDIR)/debian/pidgin.install.in | while read; do \
		if eval "ls $(CURDIR)/debian/tmp/$$REPLY" > /dev/null; then \
			echo $$REPLY >> $(CURDIR)/debian/pidgin.install; \
		fi; \
	done

# Build architecture-dependent files here.
binary-arch: build install clean-debian $(CURDIR)/debian/pidgin.install
	echo -e '\033[7mtarget: binary-arch\033[0m'

	dh_maemo_package_icons
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp --fail-missing -v
	dh_gconf
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	if test "x$(USE_MAEMO_LAUNCHER)" = "xtrue"; then \
	  dh_maemolauncher -v; \
	fi
	for dbg in `cat $(CURDIR)/debian/control | grep '^Package:' | grep --regex='-dbg$$' | awk '{print $$2;}' | sed 's/-dbg$$//'`; do \
		echo dh_strip --dbg-package=$$dbg; \
		dh_strip --dbg-package=$$dbg; \
	done
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V "libpurple0 (>= $(major).0)"

	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*$$)/\1 || true/' > $$script.new && \
			mv $$script.new $$script; \
	done

	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- $(LAUNCHER_DEPENDS)
	dh_md5sums
	dh_builddeb
	dh_maemo_package_icons -r

binary: binary-indep binary-arch
	echo -e '\033[7mtarget: binary\033[0m'

squeaky: clean clean-debian
	-$(MAKE) distclean
	rm -rf \
		debian/tmp \
		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
		../pidgin_*.* \
		`find | grep 'Makefile\.in$$'` \
		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs

## pidgin 2.6.3-0nix2~chinook

=== debian/changelog ===
pidgin (2.6.3-0nix2~chinook) unstable; urgency=low

  * Trying to make it compile on Chinook and Diablo

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 19:23:51 +0200

pidgin (2.6.3-0nix1~chinook) unstable; urgency=low

  * Splitting source package by distro

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 18:31:33 +0200

=== debian/control ===
--- 
+++ 
@@ -17,14 +17,11 @@
  libavahi-client-dev,
  libxml2-dev,
  libxml-parser-perl,
- libgstfarsight0.10-dev (>= 0.0.9),
  libgstreamer-plugins-base0.10-dev,
  libsqlite3-dev (>= 3.3),
  libmeanwhile-dev,
  python2.5,
- maemo-launcher-dev,
- libgstfarsight0.10-dev (>= 0.0.9),
- xsltproc
+ maemo-launcher-dev,  xsltproc
 Standards-Version: 3.6.0
 
 Package: pidgin

=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,7 @@
 		--disable-nm \
 		--disable-perl \
 		--enable-dbus \
-		--enable-nss=yes \
-		--enable-vv \
-		--enable-farsight \
+		--enable-nss \
 		--disable-tcl \
 		--disable-tk \
 		--disable-consoleui \
@@ -63,6 +61,7 @@
 		--disable-idn \
 		--enable-hildon \
 		--enable-icd \
+		--disable-vv --disable-farsight \
 		$(NULL)
 
 ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))

## pidgin 2.6.3-0nix2~fremantle

=== debian/changelog ===
pidgin (2.6.3-0nix2~fremantle) unstable; urgency=low

  * Trying to make it compile on Chinook and Diablo

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 19:23:51 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  libsqlite3-dev (>= 3.3),
  libmeanwhile-dev,
  python2.5,
- maemo-launcher-dev,  xsltproc
+ maemo-launcher-dev, libgstfarsight0.10-dev (>= 0.0.9), xsltproc
 Standards-Version: 3.6.0
 
 Package: pidgin

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 		--disable-idn \
 		--enable-hildon \
 		--enable-icd \
-		--disable-vv --disable-farsight \
+		--enable-vv --enable-farsight \
 		$(NULL)
 
 ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))

## pidgin 2.6.3-1nix0

=== debian/changelog ===
pidgin (2.6.3-1nix0) unstable; urgency=low

  * Removing source-splitting stuff and using maemo-release for conditional dependency instead
  * Using --disable-missing-dependencies to avoid having to have many --disable-this and --disable-that configure switches in debian/rules
  * Make certificate manager box work
  * Add tap-and-hold context menu to chat window user list
  * Use HildonTextView for conversations

 -- Gabriel Schulhof <nix@go-nix.ca>  Thu, 29 Oct 2009 15:48:27 +0200

pidgin (2.6.3-0nix2) unstable; urgency=low

  * Trying to make it compile on Chinook and Diablo

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 19:23:51 +0200

pidgin (2.6.3-0nix1) unstable; urgency=low

  * Splitting source package by distro

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 28 Oct 2009 18:31:33 +0200

## pidgin 2.6.3-2nix0

=== debian/changelog ===
pidgin (2.6.3-2nix0) unstable; urgency=low

  * Add "allow-checkbox-mode" to the log viewer's treeview.

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun,  1 Nov 2009 16:16:07 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,9 @@
  libsqlite3-dev (>= 3.3),
  libmeanwhile-dev,
  python2.5,
- maemo-launcher-dev, libgstfarsight0.10-dev (>= 0.0.9), xsltproc
+ maemo-launcher-dev,
+ libgstfarsight0.10-dev (>= 0.0.9) | maemo-release (< 5.0.0),
+ xsltproc
 Standards-Version: 3.6.0
 
 Package: pidgin

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 major=$(shell echo ${version} | cut -d. -f1-2)
 micro=$(shell echo ${version} | cut -d. -f3 | cut -d+ -f1)
 nextmicro=$(shell expr ${micro} + 1)
+launcher_check=$(shell dpkg --compare-versions "$$(apt-cache policy maemo-release | grep Installed | awk '{print $$2;}')" "lt" "5.0.0" && echo "maemo-launcher" || echo "nolauncher")
 
 
 CFLAGS = -Wall -g
@@ -37,6 +38,7 @@
 endif
 
 CONFIGURE_SWITCHES = \
+		--disable-missing-dependencies \
 		--prefix=$(PREFIX) \
 		--with-python=/usr/bin/python2.5 \
 		--host=$(DEB_HOST_GNU_TYPE) \
@@ -44,29 +46,22 @@
 		--sysconfdir=/etc \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		--disable-gevolution \
-		--enable-cap \
-		--disable-nm \
-		--disable-perl \
-		--enable-dbus \
-		--enable-nss \
-		--disable-tcl \
-		--disable-tk \
 		--disable-consoleui \
 		--disable-doxygen \
-		--disable-gnutls \
-		--disable-screensaver \
-		--disable-startup-notification \
-		--disable-gtkspell \
-		--disable-idn \
-		--enable-hildon \
-		--enable-icd \
-		--enable-vv --enable-farsight \
+		--disable-perl \
 		$(NULL)
 
-ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
-	CONFIGURE_SWITCHES += --enable-maemo-launcher
-	USE_MAEMO_LAUNCHER = true
+ifeq ($(launcher_check),maemo-launcher)
+	ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
+		CONFIGURE_SWITCHES += --enable-maemo-launcher
+		USE_MAEMO_LAUNCHER = true
+	endif
+endif
+ifeq ($(launcher_check),nolauncher)
+	ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
+		CONFIGURE_SWITCHES += --enable-maemo-launcher
+		USE_MAEMO_LAUNCHER = true
+	endif
 endif
 
 configure:
@@ -255,5 +250,3 @@
 		../pidgin_*.* \
 		`find | grep 'Makefile\.in$$'` \
 		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
-		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs
-

## pidgin 2.6.3-3nix0

=== debian/changelog ===
pidgin (2.6.3-3nix0) unstable; urgency=low

  * g_dgettext is not present in Chinook and Diablo. Use dgettext instead.
  * Try maemo-optify, if present

 -- Gabriel Schulhof <nix@go-nix.ca>  Tue, 10 Nov 2009 13:46:15 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
  libmeanwhile-dev,
  python2.5,
  maemo-launcher-dev,
- libgstfarsight0.10-dev (>= 0.0.9) | maemo-release (< 5.0.0),
+ libgstfarsight0.10-dev (>= 0.0.9) | maemo-version (< 5.0),
+ maemo-optify | maemo-version (< 5.0),
  xsltproc
 Standards-Version: 3.6.0

=== debian/rules ===
--- 
+++ 
@@ -236,6 +236,9 @@
 	dh_shlibdeps
 	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
+	if test -x /usr/bin/maemo-optify; then \
+		/usr/bin/maemo-optify; \
+	fi
 	dh_builddeb
 	dh_maemo_package_icons -r
 
@@ -249,4 +252,3 @@
 		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
 		../pidgin_*.* \
 		`find | grep 'Makefile\.in$$'` \
-		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \

## pidgin 2.6.3-4nix0

=== debian/changelog ===
pidgin (2.6.3-4nix0) unstable; urgency=low

  * Fix maemo-optify so that pidgin-emotes-default works properly
  * Reduce number of packages
  * Remove some more Close and Cancel buttons
  * Make smiley theme selection work

 -- Gabriel Schulhof <nix@go-nix.ca>  Fri, 13 Nov 2009 14:11:26 +0200

=== debian/control ===
--- 
+++ 
@@ -99,48 +99,30 @@
  and its plugins, contained in the libpurple0 package. The debugging symbols are
  used for execution tracing and core dump analysis.
 
-Package: purple-protocol-sametime
-Replaces: pidgin-protocol-sametime
-Section: user/network
-Architecture: any
-Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}
-XB-Maemo-Display-Name: Pidgin Sametime Support
-Description: Pidgin and Telepathy Sametime Support
-
-Package: purple-protocol-sametime-dbg
-Section: devel
-Architecture: any
-Depends: purple-protocol-sametime (= ${Source-Version}), ${shlibs:Depends}
-Description: Debugging symbols for Sametime prpl
-
-Package: purple-protocol-bonjour
-Replaces: pidgin-protocol-bonjour
+Package: purple-extra-protocols
+Replaces: pidgin-protocol-sametime,
+ purple-protocol-sametime (<= 2.6.3-3nix0),
+ pidgin-protocol-bonjour,
+ purple-protocol-bonjour (<= 2.6.3-3nix0)
+Conflicts: pidgin-protocol-sametime,
+ purple-protocol-sametime (<= 2.6.3-3nix0),
+ pidgin-protocol-bonjour,
+ purple-protocol-bonjour (<= 2.6.3-3nix0)
 Section: user/network
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
-XB-Maemo-Display-Name: Pidgin Bonjour Support
-Description: Pidgin and Telepathy Bonjour Support
+XB-Maemo-Display-Name: More Protocols for Pidgin and Telepathy
+Description: More Protocols for Pidgin and Telepathy
+ Adds Bonjour and Sametime support to Pidgin ad Telepathy (via Haze)
 
-Package: purple-protocol-bonjour-dbg
+Package: purple-extra-protocols-dbg
 Section: devel
 Architecture: any
-Depends: purple-protocol-bonjour (= ${Source-Version}), ${shlibs:Depends}
-Description: Debugging symbols for Bonjour prpl
-
-Package: pidgin-sounds
-Section: user/network
-Architecture: all
-Description: Pidgin Sounds
-XB-Maemo-Display-Name: Pidgin Sounds
+Depends: purple-extra-protocols (= ${Source-Version}), ${shlibs:Depends}
+Description: Debugging symbols for Sametime and Bonjour prpl
 
 Package: pidgin-l10n
 Section: user/network
 Architecture: all
 Description: Pidgin Localization
 XB-Maemo-Display-Name: Pidgin Language Support
-
-Package: pidgin-emotes-default
-Section: user/network
-Architecture: all
-Description: Pidgin Default Emotes
-XB-Maemo-Display-Name: Pidgin Default Smiley Theme

=== debian/rules ===
--- 
+++ 
@@ -236,19 +236,17 @@
 	dh_shlibdeps
 	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
+
+	# maemo-optify all packages the standard way, except pidgin-emotes-default
 	if test -x /usr/bin/maemo-optify; then \
-		/usr/bin/maemo-optify; \
-	fi
+		for pkg in `cat $(CURDIR)/debian/control | grep '^Package:' | awk '{print $$2;}' | grep -vE 'pidgin-emotes-default'`; do \
+			maemo-optify $$pkg; \
+		done; \
+	fi
+
 	dh_builddeb
 	dh_maemo_package_icons -r
 
 binary: binary-indep binary-arch
 	echo -e '\033[7mtarget: binary\033[0m'
 
-squeaky: clean clean-debian
-	-$(MAKE) distclean
-	rm -rf \
-		debian/tmp \
-		`cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*deb";}'` \
-		../pidgin_*.* \
-		`find | grep 'Makefile\.in$$'` \

## pidgin 2.6.3-5nix0

=== debian/changelog ===
pidgin (2.6.3-5nix0) unstable; urgency=low

  * Clean up reduced-number-of-packages upgrade mess
  * Fix debug window

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 23 Nov 2009 19:32:43 +0200

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,8 @@
 Depends: ${shlibs:Depends}, maemo-launcher
 Description: Pidgin Internet Messenger for Maemo-based Internet Tablets
 XB-Maemo-Display-Name: Pidgin Internet Messenger
+Replaces: pidgin-emotes-default (<= 2.6.3-3nix0), pidgin-sounds (<= 2.6.3-3nix0)
+Provides: pidgin-emotes-default, pidgin-sounds
 
 Package: pidgin-dev
 Section: devel
@@ -104,15 +106,15 @@
  purple-protocol-sametime (<= 2.6.3-3nix0),
  pidgin-protocol-bonjour,
  purple-protocol-bonjour (<= 2.6.3-3nix0)
-Conflicts: pidgin-protocol-sametime,
- purple-protocol-sametime (<= 2.6.3-3nix0),
+Provides: pidgin-protocol-sametime,
+ purple-protocol-sametime,
  pidgin-protocol-bonjour,
- purple-protocol-bonjour (<= 2.6.3-3nix0)
+ purple-protocol-bonjour
 Section: user/network
 Architecture: any
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
-XB-Maemo-Display-Name: More Protocols for Pidgin and Telepathy
-Description: More Protocols for Pidgin and Telepathy
+XB-Maemo-Display-Name: Pidgin Extra Protocols (Bonjour and Sametime)
+Description: Pidgin and Telepathy Extra Protocols (Bonjour and Sametime)
  Adds Bonjour and Sametime support to Pidgin ad Telepathy (via Haze)
 
 Package: purple-extra-protocols-dbg

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 major=$(shell echo ${version} | cut -d. -f1-2)
 micro=$(shell echo ${version} | cut -d. -f3 | cut -d+ -f1)
 nextmicro=$(shell expr ${micro} + 1)
-launcher_check=$(shell dpkg --compare-versions "$$(apt-cache policy maemo-release | grep Installed | awk '{print $$2;}')" "lt" "5.0.0" && echo "maemo-launcher" || echo "nolauncher")
+launcher_check=$(shell dpkg --compare-versions "$$(apt-cache policy maemo-version | grep Installed | awk '{print $$2;}')" "lt" "5.0" && echo "maemo-launcher" || echo "nolauncher")
 
 
 CFLAGS = -Wall -g
@@ -35,6 +35,12 @@
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
+endif
+
+# Find out how many parallel threads to run 
+NUMJOBS=$(shell echo "$(DEB_BUILD_OPTIONS)" | awk -F ',' '{ for (Nix=1 ; Nix <= NF ; Nix++) { n_fields = split ($$Nix, fields, "="); if (fields[1] == "parallel" && n_fields == 2) print(fields[2]);}}')
+ifneq (,$(NUMJOBS))
+	PARALLEL_MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 CONFIGURE_SWITCHES = \
@@ -66,6 +72,7 @@
 
 configure:
 	echo -e '\033[7mtarget: configure\033[0m'
+
 	dh_testdir
 
 	CFLAGS="$(CFLAGS)" SBOX_DEFAULT_AUTOMAKE="1.9" ./autogen.sh $(CONFIGURE_SWITCHES)
@@ -79,7 +86,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) $(PARALLEL_MAKEFLAGS)
 
 	pod2man $(CURDIR)/debian/dh_pidgin > $(CURDIR)/debian/dh_pidgin.1 || \
 		rm -f $(CURDIR)/debian/dh_pidgin.1
@@ -93,7 +100,7 @@
 	rm -f *-stamp 
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	-$(MAKE) $(PARALLEL_MAKEFLAGS) clean
 	dh_clean
 	rm -f $(CURDIR)/debian/dh_pidgin.1
 
@@ -237,16 +244,3 @@
 	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
 
-	# maemo-optify all packages the standard way, except pidgin-emotes-default
-	if test -x /usr/bin/maemo-optify; then \
-		for pkg in `cat $(CURDIR)/debian/control | grep '^Package:' | awk '{print $$2;}' | grep -vE 'pidgin-emotes-default'`; do \
-			maemo-optify $$pkg; \
-		done; \
-	fi
-
-	dh_builddeb
-	dh_maemo_package_icons -r
-
-binary: binary-indep binary-arch
-	echo -e '\033[7mtarget: binary\033[0m'
-

## pidgin 2.6.3-6nix0

=== debian/changelog ===
pidgin (2.6.3-6nix0) unstable; urgency=low

  * Make create-new-account checkbox visible in account creation details
  * Properly make monotone revision display in About box

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 29 Nov 2009 14:43:57 +0200

=== debian/control ===
--- 
+++ 
@@ -115,7 +115,7 @@
 Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
 XB-Maemo-Display-Name: Pidgin Extra Protocols (Bonjour and Sametime)
 Description: Pidgin and Telepathy Extra Protocols (Bonjour and Sametime)
- Adds Bonjour and Sametime support to Pidgin ad Telepathy (via Haze)
+ Adds Bonjour and Sametime support to Pidgin and Telepathy (via Haze)
 
 Package: purple-extra-protocols-dbg
 Section: devel

## pidgin 2.6.4-0nix0

=== debian/changelog ===
pidgin (2.6.4-0nix0) unstable; urgency=low

  * Bringing in new upstream release
  * Making it work on Gregale (again)

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon, 14 Dec 2009 21:16:06 +0200

=== debian/control ===
--- 
+++ 
@@ -12,18 +12,18 @@
  libgtk2.0-dev (>= 2.6.0),
  libgstreamer0.10-dev,
  libnss3-dev,
- libavahi-core-dev,
- libavahi-glib-dev,
- libavahi-client-dev,
+ libavahi-core-dev   | maemo-version (<= 2.2),
+ libavahi-glib-dev   | maemo-version (<= 2.2),
+ libavahi-client-dev | maemo-version (<= 2.2),
+ maemo-launcher-dev  | maemo-version (<= 2.2),
  libxml2-dev,
  libxml-parser-perl,
  libgstreamer-plugins-base0.10-dev,
  libsqlite3-dev (>= 3.3),
  libmeanwhile-dev,
  python2.5,
- maemo-launcher-dev,
  libgstfarsight0.10-dev (>= 0.0.9) | maemo-version (< 5.0),
- maemo-optify | maemo-version (< 5.0),
+ maemo-optify                      | maemo-version (< 5.0),
  xsltproc
 Standards-Version: 3.6.0

## pidgin 2.6.6

=== debian/changelog ===
pidgin (1:2.6.6-1ubuntu4common1) lucid; urgency=low

  * debian/patches/15_qq2008.patch:
    - Use qq protocol version 2008 by default, not 2005.  That one no longer
      works with the qq servers.  LP: #602149

 -- Michael Terry <michael.terry@canonical.com>  Tue, 06 Jul 2010 09:26:18 -0400

pidgin (1:2.6.6-1ubuntu4) lucid; urgency=low

  * debian/patches/92_gtkstatusicon_blink.patch: add blink support to
    GtkStatusIcon backport.
  * debian/patches/62_tray_icon_size_kde.patch: removed as no longer
    needed with GtkStatusIcon support.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Mar 2010 12:48:28 -0500

pidgin (1:2.6.6-1ubuntu3) lucid; urgency=low

  * debian/patches/91_gtkstatusicon_backport.patch: backport GtkStatusIcon
    support to get proper icon transparency with new default theme.
    (LP: #532789)
  * debian/pidgin-data.links: symlink pixmaps to location GtkStatusIcon
    expects them to be.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 Mar 2010 23:11:32 -0500

pidgin (1:2.6.6-1ubuntu2) lucid; urgency=low

  * debian/patches/90_icq_login_fix.patch:
    - upstream change to fix aim and icq login issues when clientlogin is used 
      which is the case in empathy by default (lp: #524221, #526146)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2010 00:39:26 +0100

pidgin (1:2.6.6-1ubuntu1) lucid; urgency=low

  * Resync on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Feb 2010 23:51:45 +0100

pidgin (2.6.6-1) unstable; urgency=high

  * New upstream release
    - Fixes a remote MSN SLP crash (CVE-2010-0277) (Closes: #566775)
    - Fixes a remote Finch XMPP crash (CVE-2010-0420)
    - Fixes a remote smiley freeze/CPU pegging DoS (CVE-2010-0423)

 -- Ari Pollak <ari@debian.org>  Tue, 16 Feb 2010 16:50:02 -0500

pidgin (1:2.6.5-2ubuntu1) lucid; urgency=low

  * Sync on Debian
    - fix login on aim and icq (lp: #506647)
  * debian/control:
    - Build-Depends on liblaunchpad-integration-dev and libtool
    - Drop libpurple0 dependency from libpurple-bin
    - Drop pidgin-data dependency from libpurple0
    - Recommends pidgin-libnotify
  * debian/libpurple0.symbols: 
    - add epochs
  * debian/patches/02_lpi.patch:
    - launchpad integration
  * debian/patches/04_let_crasher_for_apport.patch:
    - stop catching the SIGSEGV signal and let apport handle it
  * debian/patches/05_default_to_irc_ubuntu_com.patch:
    - set the default IRC server to irc.ubuntu.com
  * debian/patches/10_docklet_default_off.patch:
    - default behavior to have no notification area icon.
  * debian/patches/11_buddy_list_really_show.patch:
    - the buddy list tries harder to appear.  This fixes some issues with it
      not appearing.
  * debian/patches/ 13_sounds_and_timers.patch:
    - adjusts the time out for sounds to be 15 seconds, 
      which helps get fewer spurious login notifications on slow connections.
  * debian/patches/60_1024x600_gtk*.c.patch: 
    - add scrollbars into preferences and pounce dialogs
  * debian/patches/62_tray_icon_size_kde.patch:
    - always use default tray icon size on KDE
  * debian/prefs.xml: 
    - Update to set the notify plugin prefs /plugins/gtk/X11/notify/*, 
      set /pidgin/plugins/loaded to load the notify plugin and enable 
      the standard logging options by default
  * debian/rules:
    - install a launcher in the message indicator
    - set translation domain and update template
    - use simple-patchsys rules
        
 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Jan 2010 15:44:51 +0100

pidgin (2.6.5-2) unstable; urgency=low

  * debian/patches/libnssckbi_path.patch:
    - Fix path to libnssckbi.so (Closes: #564711)
  * debian/patches/clientlogin-fix.patch:
    - Fixes ICQ/AIM login issue (Closes: #565147)

 -- Ari Pollak <ari@debian.org>  Thu, 14 Jan 2010 19:46:40 -0500

pidgin (2.6.5-1) unstable; urgency=low

  * New upstream release
  * debian/patches/CVE-2010-0013.patch:
    - Fix MSN local file disclosure vulnerability (Closes: #563206)
      (CVE-2010-0013) 

 -- Ari Pollak <ari@debian.org>  Sat, 09 Jan 2010 14:13:53 -0500

pidgin (2.6.4-1) unstable; urgency=low

  * New upstream release
  * Convert to source format 3.0 (quilt), no patches necessary yet 

 -- Ari Pollak <ari@debian.org>  Sat, 21 Nov 2009 22:10:11 -0500

pidgin (2.6.3-1) unstable; urgency=medium

  * New upstream release
    - fixes a remote ICQ crash (CVE-2009-3615)
    - fix building on non-Linux architectures (Closes: #546024)

 -- Ari Pollak <ari@debian.org>  Fri, 16 Oct 2009 10:30:34 -0400

pidgin (2.6.2-1) unstable; urgency=medium

  * New upstream release
    - Fixes a crash in msn when handwriting message received (Closes: #544236)
    - Fixes reading GNOME proxy information (Closes: #543504)
    - Fixes a few remote crashes, so upload with urgency=medium

 -- Ari Pollak <ari@debian.org>  Sun, 06 Sep 2009 12:46:39 -0400

pidgin (2.6.1-2) unstable; urgency=low

  * Upload to unstable

 -- Ari Pollak <ari@debian.org>  Wed, 26 Aug 2009 20:40:39 -0400

pidgin (2.6.1-1) experimental; urgency=low

  * Put into experimental so we don't disturb 2.5.9's migration into testing 
  * New upstream release (Closes: #542311)
    - Fixes hurd FTBFS (Closes: #530893)
    - Supports auto-join in XMPP (Closes: #462250)
    - Fixes some problems with international characters (Closes: #469829)
    - purple-* commandline utilities now pass return value from dbus-send
      (Closes: #504314)
    - Fixes lots of problems with XMPP new mail notifications (Closes: #505760)
    - Fixes crash when adding/removing MSN buddy (Closes: #531201)
    - Contact availability plugin ignores autoreplies (Closes: #459667)
    - Fixes some people not showing up when offline (Closes: #533314)
  * Use tcl-dev/tk-dev
  * Add Network Manager support back in since there's a -f commandline option
    to override it if it fails horribly (Closes: #534698)
  * Drop upstream README since it doesn't contain any useful information
    for end users



=== debian/control ===
Source: pidgin
Section: net
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Ari Pollak <ari@debian.org>
Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7), intltool, libtool,
 libgtk2.0-dev, libxss-dev, libmeanwhile-dev, libgadu-dev (>= 1:1.6+20060215),
 libnss3-dev (>= 3.11.7), tcl-dev, tk-dev, libgstreamer0.10-dev,
 libgtkspell-dev, libltdl3-dev, libperl-dev,
 libstartup-notification0-dev, libzephyr-dev, libxml2-dev,
 libebook1.2-dev, libedata-book1.2-dev, libcamel1.2-dev,
 libdbus-glib-1-dev, dbus, python (>= 2.4), libavahi-client-dev,
 libavahi-glib-dev, libxml-parser-perl, libncursesw5-dev, libsasl2-dev,
 xsltproc, doxygen, libsilc-dev (>= 1.1.1), libgstfarsight0.10-dev (>= 0.0.9),
 libgstreamer-plugins-base0.10-dev,
 network-manager-dev (>= 0.5.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libsqlite3-dev (>= 3.3), libidn11-dev, ca-certificates,
 liblaunchpad-integration-dev
Standards-Version: 3.8.3
XS-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pidgin/
XS-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/pidgin/
Homepage: http://www.pidgin.im

Package: libpurple0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libsasl2-modules
Recommends: ca-certificates, libpurple-bin
Replaces: pidgin (<< 2.1.1-2), pidgin-data (<< 2.4.0-1)
Conflicts: pidgin (<< 2.1.1-2), pidgin-data (<< 2.4.0-1)
Suggests: ${shlibs:Suggests}
Description: multi-protocol instant messaging library
 libpurple is a library intended to be used by programmers seeking
 to write an IM client that connects to many IM networks.
 Currently supported are:
 AIM/ICQ, Yahoo!, MSN, IRC, Jabber/XMPP, Napster, Zephyr, Gadu-Gadu, Bonjour,
 Groupwise, Sametime, SILC, SIMPLE, QQ, and MySpaceIM. 
 .
 Some extra packages are suggested to use increased functionality:
  * tcl8.4, tk8.4:
    - Support for writing plugins with Tcl/Tk

Package: pidgin
Architecture: any
Depends: pidgin-data (>= ${source:Upstream-Version}), pidgin-data (<< ${source:Upstream-Version}-z), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Conflicts: gaim (<< 1:2.0.0+beta6-3), pidgin-data (<< 2.4.0-1)
Replaces: gaim (<< 1:2.0.0+beta6-3), pidgin-data (<< 2.4.0-1)
Recommends: gstreamer0.10-plugins-base, gstreamer0.10-plugins-good, pidgin-libnotify
Suggests: gnome-panel (>= 2.1) | kdebase-workspace-bin | docker, evolution-data-server (>= 1.10.0), ${shlibs:Suggests}
Description: graphical multi-protocol instant messaging client for X
 Pidgin is a graphical, modular Instant Messaging client capable of using
 AIM/ICQ, Yahoo!, MSN, IRC, Jabber/XMPP, Napster, Zephyr, Gadu-Gadu, Bonjour,
 Groupwise, Sametime, SILC, SIMPLE, QQ, and MySpaceIM all at once.
 .
 Some extra packages are suggested to use increased functionality:
  * gnome-panel | kdebase-workspace-bin | docker:
    - To use the system tray icon functionality (minimizing to an icon, having
      the icon blink when there are new messages, etc.)
  * evolution-data-server:
    - For interfacing with an Evolution address book
  * libsqlite3-0:
    - To use Contact Availability Prediction plugin

Package: pidgin-data
Architecture: all
Depends: ${misc:Depends}
Enhances: libpurple0, finch, pidgin
Description: multi-protocol instant messaging client - data files
 This package contains architecture-independent supporting data files
 required for use with pidgin, such as documentation, icons, translations,
 and sounds.

Package: pidgin-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}, pidgin (>= ${source:Version}), pkg-config, libpurple-dev, libgtk2.0-dev
Conflicts: gaim-dev (<< 1:2.0.0+beta6-3)
Replaces: gaim-dev (<< 1:2.0.0+beta6-3)
Suggests: doc-base
Description: multi-protocol instant messaging client - development files
 This package contains the headers and other development files not included in
 the main pidgin package. Install this if you wish to compile your own plugins.
 .
 If you are creating a pidgin plugin package, please be sure to read
 /usr/share/doc/pidgin-dev/README.Debian.dev after installing pidgin-dev.

Package: pidgin-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${misc:Depends}, pidgin (= ${binary:Version}) | finch (= ${binary:Version}) | libpurple0 (= ${binary:Version}), pidgin-data (= ${source:Version}), ${shlibs:Depends}
Conflicts: gaim-dbg (<< 1:2.0.0+beta6-3)
Replaces: gaim-dbg (<< 1:2.0.0+beta6-3)
Description: Debugging symbols for Pidgin 
 This package includes the debugging symbols useful for debugging Pidgin
 and its plugins, contained in the pidgin package. The debugging symbols are
 used for execution tracing and core dump analysis.

Package: finch
Architecture: any
Depends: pidgin-data (>= ${source:Upstream-Version}), pidgin-data (<< ${source:Upstream-Version}-z), ${shlibs:Depends}, ${misc:Depends}
Suggests:  ${shlibs:Suggests}
Description: text-based multi-protocol instant messaging client
 Finch is a text/console-based, modular instant messaging client capable of
 using AIM/ICQ, Yahoo!, MSN, IRC, Jabber/XMPP, Napster, Zephyr, Gadu-Gadu,
 Bonjour, Groupwise, Sametime, SILC, SIMPLE, QQ, and MySpaceIM all at once.
 .
 Some extra packages are suggested to use increased functionality:
  * libx11-6
    - To use the Clipboard and/or Toaster plugins.

Package: finch-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}, finch (>= ${source:Version}), pkg-config, libpurple-dev, libglib2.0-dev, libncursesw5-dev
Description: text-based multi-protocol instant messaging client - development
 This package contains the headers and other development files not included in
 the main finch package. Install this if you wish to compile your own plugins,
 or would like to compile programs that use the libgnt library.

Package: libpurple-dev
Section: libdevel
Architecture: all
Depends: libpurple0 (>= ${source:Version}), pkg-config, libglib2.0-dev, libdbus-glib-1-dev, ${misc:Depends}
Description: multi-protocol instant messaging library - development files
 This package contains the headers and other development files not included in
 the main libpurple0 package. Install this if you wish to compile your own
 client-agnostic plugins, or would like to compile programs that use
 libpurple.

Package: libpurple-bin
Section: net
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-dbus
Replaces: pidgin (<< 2.1.1-2), pidgin-data (<< 2.4.0-1)
Conflicts: pidgin (<< 2.1.1-2), pidgin-data (<< 2.4.0-1)
Description: multi-protocol instant messaging library - extra utilities
 This package contains the utilities not included in the main libpurple0
 package. Currently included are: purple-remote, purple-send,
 purple-send-async, and purple-url-handler,

=== debian/watch ===
version=3
http://pidgin.im/download/source/ .*/pidgin-([\d.]+)\.tar\.bz2

## pidgin 2.6.6-0nix0

=== debian/changelog ===
pidgin (2.6.6-0nix0) unstable; urgency=low

  * Moving up to 2.6.6

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 28 Feb 2010 20:04:55 +0200

## pidgin 2.6.6-0nix1

=== debian/changelog ===
pidgin (2.6.6-0nix1) unstable; urgency=low

  * Adding fullscreen button to conversations and to buddy list
  * Adding tap-and-hold support for the buddy list icon picker
  * Adding bugtracker URL fields to the package descriptions

 -- Gabriel Schulhof <nix@go-nix.ca>  Fri,  5 Mar 2010 11:03:35 +0200

## pidgin 2.6.6-1nix0

=== finch/libgnt/test/Makefile ===
CC=gcc
CFLAGS=`pkg-config --cflags gobject-2.0 gmodule-2.0` -g -I../ -DSTANDALONE -I/usr/include/ncursesw/
LDFLAGS=`pkg-config --libs gobject-2.0 gmodule-2.0 gnt` -pg

EXAMPLES=combo focus tv multiwin keys menu parse

all:
	make examples

clean:
	rm -f $(EXAMPLES) *.so wm

WM: wm
	for i in $(EXAMPLES); do gcc -shared $(CFLAGS) -USTANDALONE $(LDFLAGS) $${i}.c -o $${i}.so ; done

examples: $(EXAMPLES)

=== debian/changelog ===
pidgin (2.6.6-1nix0) unstable; urgency=low

  * Moved conversations window fullscreen button to the infopane hbox

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 10 Mar 2010 19:25:40 +0200

=== debian/control ===
Source: pidgin
Section: user/network
Priority: optional
Maintainer: Gabriel Schulhof <nix@go-nix.ca>
Build-Depends: debhelper (>= 4.0.0),
 debhelper-maemo-package-icons (>= 0.0.2),
 doxygen,
 hildon-libs-dev | libhildon1-dev,
 intltool,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libgtk2.0-dev (>= 2.6.0),
 libgstreamer0.10-dev,
 libnss3-dev,
 libavahi-core-dev   | maemo-version (<= 2.2),
 libavahi-glib-dev   | maemo-version (<= 2.2),
 libavahi-client-dev | maemo-version (<= 2.2),
 maemo-launcher-dev  | maemo-version (<= 2.2),
 libxml2-dev,
 libxml-parser-perl,
 libgstreamer-plugins-base0.10-dev,
 libsqlite3-dev (>= 3.3),
 libmeanwhile-dev,
 python2.5,
 libgstfarsight0.10-dev (>= 0.0.9) | maemo-version (< 5.0),
 maemo-optify                      | maemo-version (< 5.0),
 xsltproc
Standards-Version: 3.6.0

Package: pidgin
Section: user/network
Architecture: any
Depends: ${shlibs:Depends}, maemo-launcher
Description: Pidgin Internet Messenger for Maemo-based Internet Tablets
XB-Maemo-Display-Name: Pidgin Internet Messenger
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=1106&group_id=278
Replaces: pidgin-emotes-default (<= 2.6.3-3nix0), pidgin-sounds (<= 2.6.3-3nix0)
Provides: pidgin-emotes-default, pidgin-sounds

Package: pidgin-dev
Section: devel
Architecture: any
Depends: pidgin (>= ${Source-Version}),
 pkg-config,
 libpurple-dev,
 libgtk2.0-dev,
 hildon-libs-dev | libhildon1-dev
Suggests: doc-base
Description: Pidgin Plugin Development Files

Package: pidgin-dbg
Section: devel
Architecture: any
Depends: pidgin (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Pidgin

Package: libpurple0
Section: net
Architecture: any
Depends: ${shlibs:Depends}, libnspr4, libnss3
Recommends: ca-certificates
Replaces: pidgin (<= 2.2.2-0nix0),
 pidgin-protocol-aim-icq,
 pidgin-protocol-gadugadu,
 pidgin-protocol-irc,
 pidgin-protocol-msn,
 pidgin-protocol-novell-groupwise,
 pidgin-protocol-qq,
 pidgin-protocol-simple,
 pidgin-protocol-xmpp,
 pidgin-protocol-yahoo,
 pidgin-protocol-zephyr
Suggests: ${shlibs:Suggests}
Description: multi-protocol instant messaging library
 libpurple is a library intended to be used by programmers seeking
 to write an IM client that connects to many IM networks.
 Currently supported are:
 AIM/ICQ, Yahoo!, MSN, IRC, Jabber/XMPP, Napster, Zephyr, Gadu-Gadu, Bonjour,
 Groupwise, Sametime, SILC, SIMPLE, QQ, and MySpaceIM.

Package: libpurple-dev
Section: libdevel
Architecture: any
Depends: libpurple0 (>= ${Source-Version}),
 pkg-config,
 libglib2.0-dev,
 libdbus-glib-1-dev
Replaces: pidgin-dev (<= 2.2.2-0nix0)
Conflicts: pidgin-dev (<= 2.2.2-0nix0)
Description: multi-protocol instant messaging library - development files
 This package contains the headers and other development files not included in
 the main libpurple0 package. Install this if you wish to compile your own
 client-agnostic plugins, or would like to compile programs that use
 libpurple.

Package: libpurple0-dbg
Section: libdevel
Architecture: any
Depends: libpurple0 (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for libpurple
 This package includes the debugging symbols useful for debugging libpurple
 and its plugins, contained in the libpurple0 package. The debugging symbols are
 used for execution tracing and core dump analysis.

Package: purple-extra-protocols
Replaces: pidgin-protocol-sametime,
 purple-protocol-sametime (<= 2.6.3-3nix0),
 pidgin-protocol-bonjour,
 purple-protocol-bonjour (<= 2.6.3-3nix0)
Provides: pidgin-protocol-sametime,
 purple-protocol-sametime,
 pidgin-protocol-bonjour,
 purple-protocol-bonjour
Section: user/network
Architecture: any
Depends: libpurple0 (>= ${Source-Version}), ${shlibs:Depends}, avahi-dnsconfd
XB-Maemo-Display-Name: Pidgin Extra Protocols (Bonjour and Sametime)
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=1106&group_id=278
Description: Pidgin and Telepathy Extra Protocols (Bonjour and Sametime)
 Adds Bonjour and Sametime support to Pidgin and Telepathy (via Haze)

Package: purple-extra-protocols-dbg
Section: devel
Architecture: any
Depends: purple-extra-protocols (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for Sametime and Bonjour prpl

Package: pidgin-l10n
Section: user/network
Architecture: all
Depends: pidgin (>= ${Source-Version}),
Description: Pidgin Localization
XB-Maemo-Display-Name: Pidgin Language Support
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=1106&group_id=278

=== debian/rules ===
--- 
+++ 
@@ -103,6 +103,15 @@
 	-$(MAKE) $(PARALLEL_MAKEFLAGS) clean
 	dh_clean
 	rm -f $(CURDIR)/debian/dh_pidgin.1
+	-$(MAKE) package_revision_raw.txt
+	if ! test -f $(CURDIR)/package_revision_raw.txt; then \
+		if test -d $(CURDIR)/_MTN; then \
+			cat $(CURDIR)/_MTN/revision | grep old_revision | sed -r 's/^.*[[]([0-9a-fA-F]*)[]].*$$/\1/' > $(CURDIR)/package_revision_raw.txt; \
+		fi; \
+	fi
+	if test -f $(CURDIR)/package_revision_raw.txt; then \
+		mv $(CURDIR)/package_revision_raw.txt $(CURDIR)/package_revision_raw.txt.tmp; \
+	fi
 
 install: build install-stamp
 
@@ -233,14 +242,3 @@
 #	dh_python
 	dh_makeshlibs -V "libpurple0 (>= $(major).0)"
 
-	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
-	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
-		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*$$)/\1 || true/' > $$script.new && \
-			mv $$script.new $$script; \
-	done
-
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol -- $(LAUNCHER_DEPENDS)
-	dh_md5sums
-
